# saga::detail::reconvert_result< Retval > Struct Template Reference

`#include <task_get_result_impl.hpp>`

List of all members.

## Static Public Member Functions
template<typename Task>
static Retval & | call (Task &t, boost::mpl::false_)
template<typename Task>
static Retval & | call (Task &t, boost::mpl::true_)
template<typename Task>
static Retval & | call (Task &t)

### template<typename Retval>
struct saga::detail::reconvert_result< Retval >

## Member Function Documentation

template<typename Retval>
template<typename Task>

static Retval& saga::detail::reconvert_result< Retval >::call | ( | Task & | t,
|  | boost::mpl::false_ |  |
| ) |  |  | `[inline, static]`

References saga::NoSuccess.

Referenced by saga::detail::reconvert_result< Retval >::call().

template<typename Retval>
template<typename Task>

static Retval& saga::detail::reconvert_result< Retval >::call | ( | Task & | t,
|  | boost::mpl::true_ |  |
| ) |  |  | `[inline, static]`

References saga::NoSuccess.

template<typename Retval>
template<typename Task>

static Retval& saga::detail::reconvert_result< Retval >::call | ( | Task & | t | ) | `[inline, static]`

References saga::detail::reconvert_result< Retval >::call().

The documentation for this struct was generated from the following file:

- task_get_result_impl.hpp